select CONCAT(nprojnr, CONCAT('-',CONCAT(nkassanr,CONCAT('-',ntransnr)))) as forfait
from tabkassaeinzelsatz EIN
inner join tabkassablocksatz BLO
  on CONCAT(EIN.nprojnr,CONCAT('-',CONCAT(EIN.nKassaNr,CONCAT('-',EIN.ntransnr)))) 
  =  CONCAT(BLO.nprojnr, CONCAT('-',CONCAT(BLO.nkassanr,CONCAT('-',blo.ntransnr))))
where  
(nkassanr = '40' or nkassanr = '41')
 and
  BLO.DTAUSGABEDAT between  '01/10/11' and '30/04/12' 
  and
  BLO.npoolnr is not null

and

(CONCAT(EIN.nprojnr, CONCAT('-',EIN.CONCAT(nkassanr,CONCAT('-',EIN.ntransnr))))
not in
(select CONCAT(nverkprojnr , CONCAT('-',CONCAT(nkassanr,CONCAT('-', nseriennr)))) as forf
from tablesertrans
where 
(nkassanr = '40' or nkassanr = '41')
and
dtverwdat between '01/10/2011' and '30/04/2012'))